<?php
/**
 * VR pay eCommerce - XTC4
 *
 * @copyright Copyright (c) 2015 VR pay eCommerce
 * @author    VR pay eCommerce <www.vr-epay.info>
 * @package   Vrpayecommerce/Hooks
 * @located   at   hooks/
 */
require_once _SRV_WEBROOT."plugins/xt_vrpayecommerce/classes/class.xt_vrpayecommerce.php";
$payment = new xt_vrpayecommerce();
$disable_easycredit = false;

$is_amount_allowed = true;
if (!$payment->isAmountAllowed()) {
    $is_amount_allowed = false;
    $disable_easycredit = true;
}

$is_gender_not_empty = true;
if (!$payment->isGenderNotEmpty()) {
    $is_gender_not_empty = false;
    $disable_easycredit = true;
}

$is_date_of_birth_valid = true;
if (!$payment->isDateOfBirthValid()) {
    $is_date_of_birth_valid = false;
    $disable_easycredit = true;
}

$is_date_of_birth_lower_than_today = true;
if (!$payment->isDateOfBirthLowerThanToday()) {
    $is_date_of_birth_lower_than_today = false;
    $disable_easycredit = true;
}

$is_billing_equal_shipping = true;
if (!$payment->isBillingEqualShipping()) {
    $is_billing_equal_shipping = false;
    $disable_easycredit = true;
}

$tpl_data['is_amount_allowed'] = $is_amount_allowed;
$tpl_data['is_gender_not_empty'] = $is_gender_not_empty;
$tpl_data['is_date_of_birth_valid'] = $is_date_of_birth_valid;
$tpl_data['is_date_of_birth_lower_than_today'] = $is_date_of_birth_lower_than_today;
$tpl_data['is_billing_equal_shipping'] = $is_billing_equal_shipping;
$tpl_data['disable_easycredit'] = $disable_easycredit;
$payment->addLogVrpayecommerce('is error easycredit parameter = ', $tpl_data);
